Edit an annotation
PATCH
/timeline/annotations/{id}
const url = 'https://example.com/api/v1/timeline/annotations/1';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/timeline/annotations/1 \ --header 'Content-Type: application/json' \ --data '{ "body": "example" }'Author-gated (403 for non-authors unless in AUTH-bypass mode).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body
required
string
Examplegenerated
{ "body": "example"}Responses
Section titled “Responses”Updated annotation
Media typeapplication/json
A user note attached to a single timeline event.
object
id
required
integer
source
required
The event source a timeline event originates from.
string
eventId
required
integer
body
required
string
authorUserId
required
integer
authorName
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "source": "sync"}Invalid id or body
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Authentication required
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Not the author
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Annotation not found
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Failed to update annotation
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}